module BigShift
  module Core
    extend self

    def create_table(table_name)
      CreateTableCommand.execute table_name
    end

    def insert_rows(table_name, rows)
      InsertRowsCommand.execute table_name, rows
    end

    def create_view(name, query)
      CreateViewCommand.execute name, query
    end

    def update_view(name, query)
      UpdateViewCommand.execute name, query
    end
  end
end
